# 2.2.10: /etc/dovecot/dovecot.conf
# OS: Linux 2.6.32-504.1.3.el6.x86_64 x86_64 CentOS release 6.6 (Final) ext4
auth_master_user_separator = *
disable_plaintext_auth = no
doveadm_password = secret
doveadm_port = 10993
dsync_remote_cmd = ssh -l%{login} %{host} doveadm dsync-server -u%u
first_valid_gid = 12
first_valid_uid = 101
info_log_path = /var/log/dovecot-info.log
mail_debug = yes
mail_location = maildir:/home/vmail/example.com/%n
mail_plugins = " acl quota notify replication"
mbox_write_locks = fcntl
namespace {
  list = yes
  location = maildir:/home/vmail/public:LAYOUT=fs:INDEX=~/public
  prefix = public/
  separator = /
  subscriptions = no
  type = public
}
namespace inbox {
  hidden = no
  inbox = yes
  location = 
  mailbox Drafts {
    special_use = \Drafts
  }
  mailbox Junk {
    special_use = \Junk
  }
  mailbox Sent {
    special_use = \Sent
  }
  mailbox "Sent Messages" {
    special_use = \Sent
  }
  mailbox Trash {
    special_use = \Trash
  }
  prefix = 
  separator = /
  type = private
}
passdb {
  args = scheme=SHA256-CRYPT username_format=%n /home/vmail/auth.d/example.com/passwd
  driver = passwd-file
}
passdb {
  args = /etc/dovecot/master-users
  driver = passwd-file
  master = yes
  pass = yes
}
plugin {
  acl = vfile:/home/vmail/conf.d/example.com/acls:cache_secs=300
  mail-replica = remote:vmail@mail2.example.com
  mail_replica = tcp:mail2.example.com
  quota = maildir:User Quota
  quota_rule = *:storage=512M
  quota_rule2 = Trash:storage=+10%%
}
replication_max_conns = 10
service aggregator {
  fifo_listener replication-notify-fifo {
    user = vmail
  }
  unix_listener replication-notify {
    user = vmail
  }
}
service auth-worker {
  user = root
}
service auth {
  unix_listener /home/vmail/auth.d/auth-userdb {
    group = vmail
    mode = 0660
    user = doveauth
  }
  user = root
}
service doveadm {
  inet_listener {
    port = 10993
  }
}
service imap-postlogin {
  executable = script-login rawlog /home/vmail/bin/env.sh
  unix_listener imap-postlogin {
    user = root
  }
}
service imap {
  executable = imap imap-postlogin
}
service lmtp {
  unix_listener /var/spool/postfix/private/dovecot-lmtp {
    group = postfix
    mode = 0660
    user = postfix
  }
}
service pop3 {
  executable = pop3 imap-postlogin
}
service replicator {
  process_min_avail = 1
  unix_listener replicator-doveadm {
    mode = 0666
  }
}
ssl = required
ssl_ca = /etc/pki/tls/certs/ca-bundle.crt
ssl_cert = </etc/pki/tls/certs/mail1.example.com.cert
ssl_cipher_list = HIGH:MEDIUM:TLSv1.2:TLSv1.1:!SSLv2:SSLv3:!EXP:!aNULL:!eNULL:!NULL
ssl_key = </etc/pki/tls/private/mail1.example.com.key
userdb {
  args = username_format=%n /home/vmail/auth.d/example.com/passwd
  driver = passwd-file
}
verbose_proctitle = yes
protocol lmtp {
  mail_plugins = " acl quota notify replication sieve"
}
protocol imap {
  mail_plugins = " acl quota notify replication imap_acl imap_quota mail_log notify"
}
